Bullet Collision Detection & Physics Library: btContactSolverInfo Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btContactSolverInfo Struct Reference

`#include <btContactSolverInfo.h>`

Inheritance diagram for btContactSolverInfo:
[legend]
Collaboration diagram for btContactSolverInfo:
[legend]

## Public Member Functions
| btContactSolverInfo ()

## Additional Inherited Members
Public Attributes inherited from btContactSolverInfoData
btScalar | m_tau
btScalar | m_damping
btScalar | m_friction
btScalar | m_timeStep
btScalar | m_restitution
int | m_numIterations
btScalar | m_maxErrorReduction
btScalar | m_sor
btScalar | m_erp
btScalar | m_erp2
btScalar | m_deformable_erp
btScalar | m_deformable_cfm
btScalar | m_deformable_maxErrorReduction
btScalar | m_globalCfm
btScalar | m_frictionERP
btScalar | m_frictionCFM
int | m_splitImpulse
btScalar | m_splitImpulsePenetrationThreshold
btScalar | m_splitImpulseTurnErp
btScalar | m_linearSlop
btScalar | m_warmstartingFactor
btScalar | m_articulatedWarmstartingFactor
int | m_solverMode
int | m_restingContactRestitutionThreshold
int | m_minimumSolverBatchSize
btScalar | m_maxGyroscopicForce
btScalar | m_singleAxisRollingFrictionThreshold
btScalar | m_leastSquaresResidualThreshold
btScalar | m_restitutionVelocityThreshold
bool | m_jointFeedbackInWorldSpace
bool | m_jointFeedbackInJointFrame
int | m_reportSolverAnalytics
int | m_numNonContactInnerIterations

## Detailed Description

Definition at line 75 of file btContactSolverInfo.h.

## Constructor & Destructor Documentation

## ◆ btContactSolverInfo()

btContactSolverInfo::btContactSolverInfo | ( |  | ) |
| inline

it is only used for 'explicit' version of gyroscopic force

if the velocity is above this threshold, it will use a single constraint row (axis), otherwise 3 rows.

Definition at line 77 of file btContactSolverInfo.h.

The documentation for this struct was generated from the following file:

- btContactSolverInfo.h